Bug 1146358 - (CVE-2019-8675) VUL-0: CVE-2019-8675: cups: stack-buffer-overflow in libcups's asn1_get_type function
(CVE-2019-8675)
VUL-0: CVE-2019-8675: cups: stack-buffer-overflow in libcups's asn1_get_type ...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/240393/
CVSSv3:SUSE:CVE-2019-8675:8.8:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-20 11:28 UTC by Wolfgang Frisch
Modified: 2020-05-12 11:58 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Frisch 2019-08-20 11:28:32 UTC
CVE-2019-8675

A stack-buffer-overflow was found in libcups's asn1_get_type function

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1738455
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-8675
http://people.canonical.com/~ubuntu-security/cve/2019/CVE-2019-8675.html
Comment 1 Wolfgang Frisch 2019-08-20 13:02:28 UTC
Not affected:
SUSE:SLE-10-SP3:Update (the vulnerable function does not exist).

Affected:
SUSE:SLE-11:Update 
SUSE:SLE-12:Update
SUSE:SLE-15:Update
Comment 2 Wolfgang Frisch 2019-08-20 13:02:41 UTC
Upstream commit:

https://github.com/apple/cups/commit/f24e6cf6a39300ad0c3726a41a4aab51ad54c109
Comment 12 Swamp Workflow Management 2019-11-22 02:11:55 UTC
SUSE-SU-2019:3030-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1146358,1146359
CVE References: CVE-2019-8675,CVE-2019-8696
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    cups-2.2.7-3.14.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    cups-2.2.7-3.14.1
SUSE Linux Enterprise Module for Development Tools 15 (src):    cups-2.2.7-3.14.1
SUSE Linux Enterprise Module for Desktop Applications 15 (src):    cups-2.2.7-3.14.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    cups-2.2.7-3.14.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    cups-2.2.7-3.14.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2019-11-25 20:18:20 UTC
SUSE-SU-2019:3057-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1146358,1146359
CVE References: CVE-2019-8675,CVE-2019-8696
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    cups-1.7.5-20.26.1
SUSE OpenStack Cloud 8 (src):    cups-1.7.5-20.26.1
SUSE OpenStack Cloud 7 (src):    cups-1.7.5-20.26.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    cups-1.7.5-20.26.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    cups-1.7.5-20.26.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    cups-1.7.5-20.26.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    cups-1.7.5-20.26.1
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    cups-1.7.5-20.26.1
SUSE Linux Enterprise Server 12-SP5 (src):    cups-1.7.5-20.26.1
SUSE Linux Enterprise Server 12-SP4 (src):    cups-1.7.5-20.26.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    cups-1.7.5-20.26.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    cups-1.7.5-20.26.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    cups-1.7.5-20.26.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    cups-1.7.5-20.26.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    cups-1.7.5-20.26.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    cups-1.7.5-20.26.1
SUSE Enterprise Storage 5 (src):    cups-1.7.5-20.26.1
HPE Helion Openstack 8 (src):    cups-1.7.5-20.26.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Swamp Workflow Management 2019-11-25 20:24:34 UTC
SUSE-SU-2019:14229-1: An update that solves two vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1146358,1146359,959478
CVE References: CVE-2019-8675,CVE-2019-8696
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    cups-1.3.9-8.46.56.8.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    cups-1.3.9-8.46.56.8.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    cups-1.3.9-8.46.56.8.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    cups-1.3.9-8.46.56.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Swamp Workflow Management 2019-11-27 05:11:05 UTC
openSUSE-SU-2019:2573-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1146358,1146359
CVE References: CVE-2019-8675,CVE-2019-8696
Sources used:
openSUSE Leap 15.0 (src):    cups-2.2.7-lp150.2.13.1
Comment 16 Swamp Workflow Management 2019-11-27 11:12:06 UTC
openSUSE-SU-2019:2575-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1146358,1146359
CVE References: CVE-2019-8675,CVE-2019-8696
Sources used:
openSUSE Leap 15.1 (src):    cups-2.2.7-lp151.6.3.1
Comment 17 Alexandros Toptsoglou 2020-05-12 11:58:38 UTC
Done